Package org.lwjgl.opengl

# Class ARBTextureMultisample

java.lang.Object
org.lwjgl.opengl.ARBTextureMultisample

public final class ARBTextureMultisample extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`GL_INT_SAMPLER_2D_MULTISAMPLE`
Returned by the <type> parameter of GetActiveUniform:
`static final int`
`GL_INT_SAMPLER_2D_MULTISAMPLE_ARRAY`
Returned by the <type> parameter of GetActiveUniform:
`static final int`
`GL_MAX_COLOR_TEXTURE_SAMPLES`
Accepted by the <pname> parameter of GetBooleanv, GetDoublev, GetIntegerv, and GetFloatv:
`static final int`
`GL_MAX_DEPTH_TEXTURE_SAMPLES`
Accepted by the <pname> parameter of GetBooleanv, GetDoublev, GetIntegerv, and GetFloatv:
`static final int`
`GL_MAX_INTEGER_SAMPLES`
Accepted by the <pname> parameter of GetBooleanv, GetDoublev, GetIntegerv, and GetFloatv:
`static final int`
`GL_MAX_SAMPLE_MASK_WORDS`
Accepted by the <pname> parameter of GetBooleanv, GetDoublev, GetIntegerv, and GetFloatv:
`static final int`
`GL_PROXY_TEXTURE_2D_MULTISAMPLE`
Accepted by the <target> parameter of TexImage2DMultisample:
`static final int`
`GL_PROXY_TEXTURE_2D_MULTISAMPLE_ARRAY`
Accepted by the <target> parameter of TexImage3DMultisample:
`static final int`
`GL_SAMPLE_MASK`
Accepted by the <cap> parameter of Enable, Disable, and IsEnabled, and by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev:
`static final int`
`GL_SAMPLE_MASK_VALUE`
Accepted by the <target> parameter of GetBooleani_v and GetIntegeri_v:
`static final int`
`GL_SAMPLE_POSITION`
Accepted by the <pname> parameter of GetMultisamplefv:
`static final int`
`GL_SAMPLER_2D_MULTISAMPLE`
Returned by the <type> parameter of GetActiveUniform:
`static final int`
`GL_SAMPLER_2D_MULTISAMPLE_ARRAY`
Returned by the <type> parameter of GetActiveUniform:
`static final int`
`GL_TEXTURE_2D_MULTISAMPLE`
Accepted by the <target> parameter of BindTexture and TexImage2DMultisample:
`static final int`
`GL_TEXTURE_2D_MULTISAMPLE_ARRAY`
Accepted by the <target> parameter of BindTexture and TexImage3DMultisample:
`static final int`
`GL_TEXTURE_BINDING_2D_MULTISAMPLE`
Accepted by the <pname> parameter of GetBooleanv, GetDoublev, GetIntegerv, and GetFloatv:
`static final int`
`GL_TEXTURE_BINDING_2D_MULTISAMPLE_ARRAY`
Accepted by the <pname> parameter of GetBooleanv, GetDoublev, GetIntegerv, and GetFloatv:
`static final int`
`GL_TEXTURE_FIXED_SAMPLE_LOCATIONS`
Accepted by the <pname> parameter of GetTexLevelParameter
`static final int`
`GL_TEXTURE_SAMPLES`
Accepted by the <pname> parameter of GetTexLevelParameter
`static final int`
`GL_UNSIGNED_INT_SAMPLER_2D_MULTISAMPLE`
Returned by the <type> parameter of GetActiveUniform:
`static final int`
`GL_UNSIGNED_INT_SAMPLER_2D_MULTISAMPLE_ARRAY`
Returned by the <type> parameter of GetActiveUniform:

## Method Summary

Modifier and Type
Method
Description
`static void`
`glGetMultisample(int pname, int index, FloatBuffer val)`
`static void`
`glSampleMaski(int index, int mask)`
`static void`
`glTexImage2DMultisample(int target, int samples, int internalformat, int width, int height, boolean fixedsamplelocations)`
`static void`
`glTexImage3DMultisample(int target, int samples, int internalformat, int width, int height, int depth, boolean fixedsamplelocations)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### GL_SAMPLE_POSITION

public static final int GL_SAMPLE_POSITION
Accepted by the <pname> parameter of GetMultisamplefv:

See Also:
  - Constant Field Values

### GL_SAMPLE_MASK

public static final int GL_SAMPLE_MASK
Accepted by the <cap> parameter of Enable, Disable, and IsEnabled, and by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev:

See Also:
  - Constant Field Values

### GL_SAMPLE_MASK_VALUE

public static final int GL_SAMPLE_MASK_VALUE
Accepted by the <target> parameter of GetBooleani_v and GetIntegeri_v:

See Also:
  - Constant Field Values

### GL_TEXTURE_2D_MULTISAMPLE

public static final int GL_TEXTURE_2D_MULTISAMPLE
Accepted by the <target> parameter of BindTexture and TexImage2DMultisample:

See Also:
  - Constant Field Values

### GL_PROXY_TEXTURE_2D_MULTISAMPLE

public static final int GL_PROXY_TEXTURE_2D_MULTISAMPLE
Accepted by the <target> parameter of TexImage2DMultisample:

See Also:
  - Constant Field Values

### GL_TEXTURE_2D_MULTISAMPLE_ARRAY

public static final int GL_TEXTURE_2D_MULTISAMPLE_ARRAY
Accepted by the <target> parameter of BindTexture and TexImage3DMultisample:

See Also:
  - Constant Field Values

### GL_PROXY_TEXTURE_2D_MULTISAMPLE_ARRAY

public static final int GL_PROXY_TEXTURE_2D_MULTISAMPLE_ARRAY
Accepted by the <target> parameter of TexImage3DMultisample:

See Also:
  - Constant Field Values

### GL_MAX_SAMPLE_MASK_WORDS

public static final int GL_MAX_SAMPLE_MASK_WORDS
Accepted by the <pname> parameter of GetBooleanv, GetDoublev, GetIntegerv, and GetFloatv:

See Also:
  - Constant Field Values

### GL_MAX_COLOR_TEXTURE_SAMPLES

public static final int GL_MAX_COLOR_TEXTURE_SAMPLES
Accepted by the <pname> parameter of GetBooleanv, GetDoublev, GetIntegerv, and GetFloatv:

See Also:
  - Constant Field Values

### GL_MAX_DEPTH_TEXTURE_SAMPLES

public static final int GL_MAX_DEPTH_TEXTURE_SAMPLES
Accepted by the <pname> parameter of GetBooleanv, GetDoublev, GetIntegerv, and GetFloatv:

See Also:
  - Constant Field Values

### GL_MAX_INTEGER_SAMPLES

public static final int GL_MAX_INTEGER_SAMPLES
Accepted by the <pname> parameter of GetBooleanv, GetDoublev, GetIntegerv, and GetFloatv:

See Also:
  - Constant Field Values

### GL_TEXTURE_BINDING_2D_MULTISAMPLE

public static final int GL_TEXTURE_BINDING_2D_MULTISAMPLE
Accepted by the <pname> parameter of GetBooleanv, GetDoublev, GetIntegerv, and GetFloatv:

See Also:
  - Constant Field Values

### GL_TEXTURE_BINDING_2D_MULTISAMPLE_ARRAY

public static final int GL_TEXTURE_BINDING_2D_MULTISAMPLE_ARRAY
Accepted by the <pname> parameter of GetBooleanv, GetDoublev, GetIntegerv, and GetFloatv:

See Also:
  - Constant Field Values

### GL_TEXTURE_SAMPLES

public static final int GL_TEXTURE_SAMPLES
Accepted by the <pname> parameter of GetTexLevelParameter

See Also:
  - Constant Field Values

### GL_TEXTURE_FIXED_SAMPLE_LOCATIONS

public static final int GL_TEXTURE_FIXED_SAMPLE_LOCATIONS
Accepted by the <pname> parameter of GetTexLevelParameter

See Also:
  - Constant Field Values

### GL_SAMPLER_2D_MULTISAMPLE

public static final int GL_SAMPLER_2D_MULTISAMPLE
Returned by the <type> parameter of GetActiveUniform:

See Also:
  - Constant Field Values

### GL_INT_SAMPLER_2D_MULTISAMPLE

public static final int GL_INT_SAMPLER_2D_MULTISAMPLE
Returned by the <type> parameter of GetActiveUniform:

See Also:
  - Constant Field Values

### GL_UNSIGNED_INT_SAMPLER_2D_MULTISAMPLE

public static final int GL_UNSIGNED_INT_SAMPLER_2D_MULTISAMPLE
Returned by the <type> parameter of GetActiveUniform:

See Also:
  - Constant Field Values

### GL_SAMPLER_2D_MULTISAMPLE_ARRAY

public static final int GL_SAMPLER_2D_MULTISAMPLE_ARRAY
Returned by the <type> parameter of GetActiveUniform:

See Also:
  - Constant Field Values

### GL_INT_SAMPLER_2D_MULTISAMPLE_ARRAY

public static final int GL_INT_SAMPLER_2D_MULTISAMPLE_ARRAY
Returned by the <type> parameter of GetActiveUniform:

See Also:
  - Constant Field Values

### GL_UNSIGNED_INT_SAMPLER_2D_MULTISAMPLE_ARRAY

public static final int GL_UNSIGNED_INT_SAMPLER_2D_MULTISAMPLE_ARRAY
Returned by the <type> parameter of GetActiveUniform:

See Also:
  - Constant Field Values

## Method Details

### glTexImage2DMultisample

public static void glTexImage2DMultisample(int target, int samples, int internalformat, int width, int height, boolean fixedsamplelocations)

### glTexImage3DMultisample

public static void glTexImage3DMultisample(int target, int samples, int internalformat, int width, int height, int depth, boolean fixedsamplelocations)

### glGetMultisample

public static void glGetMultisample(int pname, int index, FloatBuffer val)

### glSampleMaski

public static void glSampleMaski(int index, int mask)